#pragma once

#include "LotInfoStruct.h"
#include "ILotInfo.h"


class CRuntimeIniLotInfo : public ILotInfo<nsLotInfo::stLotInfo>
{
public:
    CRuntimeIniLotInfo();
    virtual ~CRuntimeIniLotInfo();

    // Inherited via ILotInfo
    nsLotInfo::stLotInfo& GetLotInfo() override;
    bool IsLotOpened() override;
    std::string LotName() override;
    int         LotQty() override;
    std::string OperatorID() override;
    std::string ShiftID() override;
    std::string StartTime() override;
    std::string Recipe() override;
    std::string Package() override;

private:
    void Load();

    nsLotInfo::stLotInfo m_lotInfo;
};
